Bugzilla's "Links > Weekly Summary" setup is busted (not an extension)
Closed, DeclinedPublic

Assigned To
None
Priority
Normal
Author
Aklapper
Subscribers
TTO, Aklapper, Reedy, wikibugs-l
Projects
Reference
bz56091
Security
None
Description

It's cute that we have

extensions/WeeklyReport/weekly-bug-summary.cgi 
extensions/WeeklyReport/component-report.cgi

on the server, however it's never loaded and hence ignored.

Instead

/weekly-bug-summary.cgi 
/component-report.cgi

is loaded, so the whole setup is busted.

I realized by trying to sync our code with https://projects.kde.org/projects/websites/bugs-kde-org/repository/changes/weekly-bug-summary.cgi?rev=kde and trying to test it on boogs.wmflabs.org, where clicking "Links > Weekly Summary" in the sidebar triggers a 404. Only after copying it to the root directory via

mv extensions/WeeklyReport/weekly-bug-summary.cgi .

and running ./checksetup.pl it works.


Version: wmf-deployment
Severity: normal

bzimport added a project: Wikimedia-Bugzilla.Via ConduitNov 22 2014, 2:30 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz56091.
Aklapper created this task.Via LegacyOct 24 2013, 11:12 AM
Aklapper added a comment.Via ConduitOct 24 2013, 2:41 PM

Created attachment 13560
diff

Attach the original cleanup/sync diff here so it does not get lost, but it does not make sense to commit before sorting out the mess.

Attached: 56091.diff

Aklapper added a comment.Via ConduitOct 25 2013, 5:51 PM

<mutante> root@kaulen:/srv/org/wikimedia/bugzilla# file weekly-bug-summary.cgi
weekly-bug-summary.cgi: symbolic link to `extensions/WeeklyReport/weekly-bug-summary.cgi'
<mutante> root@kaulen:/srv/org/wikimedia/bugzilla# file component-report.cgi
component-report.cgi: symbolic link to `extensions/WeeklyReport/component-report.cgi'

Aklapper added a comment.Via ConduitNov 26 2013, 10:52 AM

Fun fact of the day:
Only one file out of ./extensions/WeeklyReport/template/en/default/weeklyreport/weekly-bug-summary.html.tmpl and ./template/en/custom/reports/weekly-bug-summary.html.tmpl is in use. Find out which one. The files are identical.

gerritbot added a comment.Via ConduitFeb 14 2014, 9:08 PM

Change 113460 had a related patch set uploaded by Aklapper:
Delete unused and duplicated file.

https://gerrit.wikimedia.org/r/113460

gerritbot added a comment.Via ConduitFeb 25 2014, 12:33 AM

Change 113460 merged by Dzahn:
Delete unused and duplicated file.

https://gerrit.wikimedia.org/r/113460

TTO added a comment.Via ConduitJun 9 2014, 12:03 AM

Fixed?

Aklapper closed this task as "Declined".Via WebNov 23 2014, 11:40 PM

Wikimedia has migrated from Bugzilla to Phabricator. Learn more about it here: https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla - This task does not make sense anymore in the concept of Phabricator, hence closing as declined.

TTO removed a project: Patch-For-Review.Via WebNov 23 2014, 11:45 PM
TTO set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.